/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { IFluidBrowserPackageEnvironment } from "@fluidframework/container-definitions";
/**
 * Helper class to manage loading of script elements. Only loads a given script once.
 */
export declare class ScriptManager {
    private static readonly loadingEntrypoints;
    private static readonly loadCache;
    static get isBrowser(): boolean;
    private static protectEntrypoint;
    private static internalLoadScript;
    preCacheFiles(browser: IFluidBrowserPackageEnvironment): Promise<void>;
    loadScript(scriptUrl: string, entryPoint: string): Promise<unknown>;
    loadLibrary(libraryDetails: {
        files: string[];
        library: string;
    }): Promise<{
        file: string;
        entryPoint: unknown;
    }[]>;
}
//# sourceMappingURL=scriptManager.d.ts.map